#version 330

uniform sampler2DRect inputTex;
uniform sampler2DRect maskTex;

in vec2 fsTexture;
in vec2 fsMask;
out vec4 outColor;

void main()
{
    outColor = texture(inputTex, fsTexture);
	vec4 maskColor = texture(maskTex, fsMask);
	outColor*=maskColor.a;
}


